use library::{context::Context, model::response::ResResult, social::wechat::WeChatAccessToken};
use macros::get;

use crate::service::social_wx_service;

#[get("/wechat/access_token")]
pub async fn get_wechat_access_token(context: Context) -> ResResult<WeChatAccessToken> {
    social_wx_service::get_wechat_access_token(context).await
}